Subject: Ticket Assigned - 9564077233/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 05 Apr 2022 16:04:00 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9564077233/ late delivery Noora                    I have not rejected anything           07:44 PM, 05th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           07:44 PM, 05th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            07:44 PM, 05th Apr                     Noora                    How rejected           07:44 PM, 05th Apr                     Noora                    This is very bad service.. I ordered online for next day delivery it's been 3 days and I haven't received.. I could have gone to shop an dpicked up bybnow           07:44 PM, 05th Apr                     Noora                    I want to raise complaint           07:45 PM, 05th Apr                     Noora                    Rejected means what?! The items have been paid for and I paid for next day delivery and nothing.. No call no confirmation no nothing           07:45 PM, 05th Apr                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            07:46 PM, 05th Apr                   New                   If you have any pictures that you would like to share, please do that.            07:46 PM, 05th Apr                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           07:46 PM, 05th Apr                   Alhamzi                   We sincerely apologize for any inconvenience caused you.            07:49 PM, 05th Apr                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             07:49 PM, 05th Apr                   Alhamzi                   Please confirm if the following phone number is correct: 971566168034           07:51 PM, 05th Apr                     Noora                    , yes           07:51 PM, 05th Apr                   Alhamzi                   We are on it           07:56 PM, 05th Apr                   Alhamzi                   Do you have any other inquiries that we can help with?           07:56 PM, 05th Apr                     Noora                    No.. Just need an update as to why my order has bee delayed and rejected without any contact           07:57 PM, 05th Apr                   Alhamzi                   We will update you regarding the delivery via email           08:03 PM, 05th Apr                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           08:03 PM, 05th Apr                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           08:03 PM, 05th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4130567